﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238
using Syncfusion.UI.Xaml.Grid;
using SelectionChangedEventArgs = Windows.UI.Xaml.Controls.SelectionChangedEventArgs;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace SfGrid.Sample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public  partial class MainPage : Page, INotifyPropertyChanged
    {
        private string newValue;
        public string NewValue 
        {
            get
            {
                return newValue;
            }
            set 
            {
                newValue = value;
                RaisePropertyChanged("NewValue");
            }
        }
        public MainPage()
        {
            this.InitializeComponent(); 
             
        }

        //private void combobox_SelectionChanged_1(object sender, SelectionChangedEventArgs e)
        //{
        //    NewValue = (sender as ComboBox).SelectedItem.ToString();
        //    //((GridTemplateColumn)sfDataGrid.columns[0]).ce
        //}

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void RaisePropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
